Skip to main content
GET
/
compute
/
v1
/
vms
List Agent VMs
curl --request GET \
  --url https://compute.hexelstudio.com/compute/v1/vms \
  --header 'Authorization: <api-key>'
[
  {
    "allocated_at": "<string>",
    "created_at": "<string>",
    "expires_at": "<string>",
    "id": "<string>",
    "metadata": {},
    "released_at": "<string>",
    "skills": [
      "<string>"
    ],
    "state": "<string>",
    "tier": "<string>",
    "token": "<string>",
    "ttl_seconds": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://hexelstudio.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

STS access token. Obtain via POST https://sts.hexelstudio.com/token with X-API-Key header.

Query Parameters

state
string

Filter by state

tier
string

Filter by tier

limit
integer

Limit results

offset
integer

Offset results

Response

OK

allocated_at
string
created_at
string
expires_at
string
id
string
metadata
object
released_at
string
skills
string[]
state
string
tier
string
token
string
ttl_seconds
integer